<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTeamMembersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('team_members', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->string('name_nepali')->nullable();
            $table->string('position');
            $table->string('position_nepali')->nullable();
            $table->integer('position_order')->nullable()->unique();
            $table->string('facebook')->nullable()->unique();
            $table->string('instagram')->nullable()->unique();
            $table->string('google_plus')->nullable()->unique();
            $table->integer('token');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('team_members');
    }
}
